%define pkg_name        IO-YAML
%define pkg_version     0.07
%define rpm_pkg_version 0.07
%define rpm_pkg_release 1.n0i.5

Summary:       Read and write YAML streams incrementally
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       GPL+ or Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/N/NK/NKUITSE/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(Module::Build)

%if %{!?_without_test:1}0
BuildRequires: perl(Test::More)
BuildRequires: perl(Errno)
BuildRequires: perl(Fcntl)
BuildRequires: perl(File::Copy)
BuildRequires: perl(IO::File)
BuildRequires: perl(IO::Scalar)
BuildRequires: perl(Symbol)
BuildRequires: perl(YAML)
%endif


%description
IO::YAML may be used to read and write YAML streams one "document" (i.e.,
one value) at a time. A YAML stream is a file consisting of a sequence of
YAML documents; the stream may optionally be followed by the end-of-stream
marker (a line consisting solely of the three-byte sequence "..."), after
which any sequence of bytes may occur (and will be ignored).


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
[ -f Makefile.PL ] || %{__cat} <<EOF > Makefile.PL
use Module::Build::Compat;
Module::Build::Compat->run_build_pl( args => \@ARGV );
Module::Build::Compat->write_makefile();
EOF


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc CHANGES README


%changelog
* Sun Sep 23 2007 Marius Feraru <altblue@n0i.net> - 0.07-1.n0i.5
- version 0.07

* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.06-1.n0i.4
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- version 0.06

* Tue Jun 06 2006 Marius Feraru <altblue@n0i.net> - 0.04-1.n0i.3
- version 0.04

* Mon Mar 27 2006 Marius Feraru <altblue@n0i.net> - 0.03-1.n0i.2
- version 0.03

* Mon Aug 01 2005 Marius Feraru <altblue@n0i.net> 0.02-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7
